# gdb-kernellib.c File Reference

`#include <pspkernel.h>`
`#include <pspdebug.h>`

Include dependency graph for gdb-kernellib.c:

## Functions

void | putDebugChar (char ch)
char | getDebugChar (void)
void | sceKernelDcacheWBinvAll (void)
void | sceKernelIcacheClearAll (void)
void | _gdbSupportLibFlushCaches (void)
int | _gdbSupportLibReadByte (unsigned char *address, unsigned char *dest)
int | _gdbSupportLibWriteByte (char val, unsigned char *dest)
int | _gdbSupportLibInit (void)

## Function Documentation

void _gdbSupportLibFlushCaches | ( | void |  | ) |

int _gdbSupportLibInit | ( | void |  | ) |

int _gdbSupportLibReadByte | ( | unsigned char * | address,
|  | unsigned char * | dest
| ) |

int _gdbSupportLibWriteByte | ( | char | val,
|  | unsigned char * | dest
| ) |

char getDebugChar | ( | void |  | ) |

void putDebugChar | ( | char | ch | ) |

void sceKernelDcacheWBinvAll | ( | void |  | ) |

void sceKernelIcacheClearAll | ( | void |  | ) |